summaryrefslogtreecommitdiffstats
path: root/docker/scripts/dbld_vpp_install_packages.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2024-01-25 16:09:00 -0500
committerDave Wallace <dwallacelf@gmail.com>2024-03-26 16:07:29 -0400
commit7b7ffa99873e679b637ef00a3953ddd1f5a28aae (patch)
treeee378a25fb3379999461bd0351400e04eb206497 /docker/scripts/dbld_vpp_install_packages.sh
parentc05cabe676cf0735cc1b3fbaf643dfd02c0618ee (diff)
Add stable/2402 branch and remove stable/2306 branch to docker executor image scripts
- Refactor csit_pip_cache function to use csit bash functions that activate the python virtualenv in production jobs. - Remove stable/2306 branch due to pip issue https://github.com/pypa/pip/issues/11527 causing extraneous downloading of pip wheels in CSIT jobs. - Remove installation of packages for old CSIT docs generation. Change-Id: Ib63aa654a35ad01fbfb5b7f593d3f8ffa6499b07 Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'docker/scripts/dbld_vpp_install_packages.sh')
-rwxr-xr-xdocker/scripts/dbld_vpp_install_packages.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/docker/scripts/dbld_vpp_install_packages.sh b/docker/scripts/dbld_vpp_install_packages.sh
index c30fb25b5..5e1e0f8f0 100755
--- a/docker/scripts/dbld_vpp_install_packages.sh
+++ b/docker/scripts/dbld_vpp_install_packages.sh
@@ -35,11 +35,6 @@ for branch in ${VPP_BRANCHES[$OS_NAME]} ; do
# Install OS packages
make_vpp "install-dep" "$branch"
- if [ "$OS_ID" = "ubuntu" ] && [ "$OS_ARCH" = "x86_64" ] ; then
- # 'Make docs jobs are only run on ubuntu x86_64 executors
- # so only run for ubuntu build executors.
- make_vpp "docs-venv" "$branch"
- fi
# Download, build, and cache external deps packages
make_vpp "install-ext-deps" "$branch"
@@ -57,6 +52,12 @@ for branch in ${VPP_BRANCHES[$OS_NAME]} ; do
echo "ERROR: Missing VPP external deps package: '$vpp_ext_deps_pkg'"
exit 1
fi
+ # TODO: remove this after all supported VPP branches have removed
+ # python3-virtualenv & virtualenv from install-deps which are no longer
+ # used in vpp repo. These packages can mess up csit virtualenv
+ # installation which uses pip3
+ sudo apt remove -y --purge --autoremove python3-virtualenv virtualenv || true
+
# Install/cache python packages
make_vpp_test "test-dep" "$branch"
if [ "$OS_ID" = "ubuntu" ] ; then